Subject: Re: bug#47699: [PATCH] Improve completion-list-mode-map

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Apr 2021 10:31:03 +0300

> Date: Sun, 11 Apr 2021 01:03:56 +0000
> From: Gregory Heytings <[email-masked]>
> 
> Currently completion-list-mode-map does not give a specific meaning to 
> most keys, which means that most keypresses display an error "Buffer is 
> read-only #<buffer *Completions*>".  I suggest to make it a child of 
> special-mode-map, and to bind the "n" and "p" keys to "next-completion" 
> and "previous-completion".

Why just 'n' and 'p'?  If we want more commands to move between
completions, I could think about several others: <, >, C-f, C-b, C-n,
C-p, Home, End, the arrow keys, etc.

However, these bindings are only available if one makes *Completions*
the current buffer, right?  Which rarely if ever happens in
TAB-completion scenarios, right?  If so, is that really helpful to
have these additional bindings, and if so, in what use cases?